Bug 1569470 - unable to submit dialogs including a tag control element
Summary: unable to submit dialogs including a tag control element
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.2
Assignee: eclarizi
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 10:50 UTC by Felix Dewaleyne
Modified: 2018-05-19 16:58 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 13:10:36 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1558475 0 high CLOSED dropdown fields marked as required are not letting a custom dialog validate after values have been selected 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1568091 0 high CLOSED Catalog Item with Tag Control element cannot be ordered 2021-02-22 00:41:40 UTC

Internal Links: 1568091

Description Felix Dewaleyne 2018-04-19 10:50:13 UTC
Description of problem:
unable to submit dialogs including a tag control element  - the submit button remains greyed out on self service dialogs. Classical ui is unaffected as the submit button does not get greyed out

Version-Release number of selected component (if applicable):
5.9.1

How reproducible:
all the time

Steps to Reproduce:
1. create a dialog with a tag control element 
2. configure the tag control element to be required
3. associated the dialog with a service
4. log into self-service to load the dialog

Actual results:
the submit button remains greyed out

Expected results:
the submit button behaves like in the classical ui and the customer is able to submit the dialog

Additional info:
possibly tied with bz#1558475

Comment 4 Greg McCullough 2018-04-19 12:02:13 UTC
Erik - Please review.  Likely a dup of https://bugzilla.redhat.com/show_bug.cgi?id=1568091

Comment 5 Felix Dewaleyne 2018-04-19 13:32:21 UTC
amend : in classics ui this mannifests by keeping the color around the tag control ellement in red (I unfortunately am part colorblind and cannot tell if the color changes to green or red, they are the same to me in that shade)


Note You need to log in before you can comment on or make changes to this bug.